Как решить проблему с добавлением поддержки: дизайн?

Мне нужно реализовать TextInputLayoutдля этого мне нужно добавить эту строку в мой код

compile 'com.android.support:design:23.3.0'

и после этого я попытался сделать много разных вещей, чтобы решить его, но безуспешно(

Вот мой билд

buildscript {
repositories {
    jcenter()
}

dependencies {
    classpath 'com.android.tools.build:gradle:2.1.0'
}
}

apply plugin: 'com.android.application'

repositories {
jcenter()
}

dependencies {
---> compile 'com.android.support:design:23.3.0'
compile 'com.android.support:appcompat-v7:24.0.0-alpha2'
compile 'com.facebook.android:facebook-android-sdk:4.0.0'
compile 'com.google.android.gms:play-services:6.5.87'
compile 'com.android.support:cardview-v7:23.3.0'
compile files('libs/svgandroid.jar')
compile 'com.github.bumptech.glide:glide:3.5.2'
compile files('libs/guava-16.0.1.jar')
compile 'com.google.code.gson:gson:2.6.1'
}

// The sample build uses multiple directories to
// keep boilerplate and common code separate from
// the main sample code.
List<String> dirs = [
    'main',     // main sample code; look here for the interesting stuff.
    'common',   // components that are reused by multiple samples
    'template'] // boilerplate code that is generated by the sample template process

android {
compileSdkVersion 23
buildToolsVersion "23.0.2"

repositories {
    mavenCentral()
}

defaultConfig {
    minSdkVersion 21
    targetSdkVersion 21
}

compileOptions {
    sourceCompatibility JavaVersion.VERSION_1_7
    targetCompatibility JavaVersion.VERSION_1_7
}

sourceSets {
    main {
        dirs.each { dir ->
            java.srcDirs "src/${dir}/java"
            res.srcDirs "src/${dir}/res"
        }
    }
    androidTest.setRoot('tests')
    androidTest.java.srcDirs = ['tests/src']
}
}

Некоторые ресурсы уже определены и показывают ошибку .. Что это значит?

Что я делаю не так?

окно 3

Введите описание изображения здесь

Теперь по @Pravin answers я решаю один вопрос, и это делает gradle без ошибки! но теперь, когда я пытаюсь запустить проект, у меня есть еще одна ошибка.

Введите описание изображения здесь

3 ответа

  1. Замените ваш circularProgressс этим

    <declare-styleable name="CircularProgress">
            <attr name="borderWidth1" format="dimension" />
     </declare-styleable>
    

    и где у вас есть пользователь borderWidthдля использования прогрессаborderWidth1

  2. попробуйте изменить свой appcompact: compile ‘ com.андроид.поддержка: appcompat-v7: 24.0.0-alpha2 ‘для компиляции’ com.андроид.поддержка: appcompat-v7: 23.1.0 ‘ и построить свой gradle,
    Если это не работает, попробуйте очистить свой проект